package hw.tagApi.service.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.EqualsAndHashCode;
import hw.tagApi.common.annotation.Excel;
import hw.tagApi.common.core.domain.BaseEntity;
import hw.tagApi.common.annotation.Excel.Type;
import lombok.Data;

/**
 * 标签记录对象 hw_tag_record
 * 
 * @author Yinq
 * @date 2025-04-15
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class HwTagRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键标识,RID */
    @Excel(name = "RID", type = Type.EXPORT)
    private Long rId;

    /** TID */
    @Excel(name = "TID", type = Type.EXPORT)
    private String tId;

    /** EPC */
    @Excel(name = "EPC", type = Type.EXPORT)
    private String epc;

    /** 密码（预留字段） */
    @Excel(name = "密码", type = Type.EXPORT)
    private String password;

    /** 订单号，LOT */
    @Excel(name = "LOT", type = Type.EXPORT)
    private String orderCode;

    /** 批次编号,卷编号 */
    @Excel(name = "卷编号", type = Type.EXPORT)
    private String batchNumber;

    /** 标签序号,序号 */
    @Excel(name = "标签序号", type = Type.EXPORT)
    private String tagSequence;

    /** 总数量,本卷数量 */
    @Excel(name = "本卷数量", type = Type.EXPORT)
    private Long totalQuantity;

    /** 标签批次号（预留字段） */
    @Excel(name = "标签批次号", type = Type.EXPORT)
    private String tagBatch;

    /** 型号,导入提供 */
    @Excel(name = "型号", type = Type.EXPORT)
    private String modelCode;

    /** 加工时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "加工时间", type = Type.EXPORT, dateFormat = "yyyy/MM/dd HH:mm:ss")
    private Date processingTime;

    /** 操作人员编号,生产人员编号 */
    @Excel(name = "生产人员编号", type = Type.EXPORT)
    private String operatorId;

    /** 数据状态标记 */
    private Integer delFlag;

    /** 预留字段1 */
//    @Excel(name = "测试结果", type = Type.EXPORT)
    private String fields1;

    /** 预留字段2 */
//    @Excel(name = "测试值", type = Type.EXPORT)
    private String fields2;

    /** 预留字段3 */
//    @Excel(name = "参考值", type = Type.EXPORT)
    private String fields3;

    /**
     * 查询开始日期
     */
    private String startDate;

    /**
     * 查询结束日期
     */
    private String endDate;
    private String selectTID;
    private String selectEPC;

    @Override
    public String toString() {
        return "HwTagRecord{" +
                "rId=" + rId +
                ", tId='" + tId + '\'' +
                ", epc='" + epc + '\'' +
                ", password='" + password + '\'' +
                ", orderCode='" + orderCode + '\'' +
                ", batchNumber='" + batchNumber + '\'' +
                ", tagSequence='" + tagSequence + '\'' +
                ", totalQuantity=" + totalQuantity +
                ", tagBatch='" + tagBatch + '\'' +
                ", modelCode='" + modelCode + '\'' +
                ", processingTime=" + processingTime +
                ", operatorId='" + operatorId + '\'' +
                ", delFlag=" + delFlag +
                ", fields1='" + fields1 + '\'' +
                ", fields2='" + fields2 + '\'' +
                ", fields3='" + fields3 + '\'' +
                ", startDate='" + startDate + '\'' +
                ", endDate='" + endDate + '\'' +
                '}';
    }
}
